<?php

namespace Drupal\css_js_agg_retention\Asset;

/**
 * CSS optimizer with selective deletion.
 *
 * Decorates the CSS collection optimizer to prevent deletion
 * of recent CSS aggregates during cache rebuilds.
 */
class CssOptimizerSelectiveDelete extends BaseOptimizerSelectiveDelete {

  /**
   * {@inheritdoc}
   */
  protected function getAssetsPath(): string {
    return 'assets://css';
  }

}
