<?php

namespace Drupal\css_js_agg_retention\Asset;

/**
 * JS optimizer with selective deletion.
 *
 * Decorates the JS collection optimizer to prevent deletion
 * of recent JS aggregates during cache rebuilds.
 */
class JsOptimizerSelectiveDelete extends BaseOptimizerSelectiveDelete {

  /**
   * {@inheritdoc}
   */
  protected function getAssetsPath(): string {
    return 'assets://js';
  }

}
